name: monad-control
version: 1.0.0.4
id: monad-control-1.0.0.4-AcK9ASuxkE084ciqHOIhwh
key: monad-control-1.0.0.4-AcK9ASuxkE084ciqHOIhwh
license: BSD-3-Clause
copyright: (c) 2011 Bas van Dijk, Anders Kaseorg
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
author: Bas van Dijk, Anders Kaseorg
homepage: https://github.com/basvandijk/monad-control
synopsis: Lift control operations, like exception catching, through monad transformers
description:
    This package defines the type class @MonadBaseControl@, a subset of
    @MonadBase@ into which generic control operations such as @catch@ can be
    lifted from @IO@ or any other base monad. Instances are based on monad
    transformers in @MonadTransControl@, which includes all standard monad
    transformers in the @transformers@ library except @ContT@.
    .
    See the @lifted-base@ package which uses @monad-control@ to lift @IO@
    operations from the @base@ library (like @catch@ or @bracket@) into any monad
    that is an instance of @MonadBase@ or @MonadBaseControl@.
    .
    Note that this package is a rewrite of Anders Kaseorg's @monad-peel@
    library. The main difference is that this package provides CPS style operators
    and exploits the @RankNTypes@ and @TypeFamilies@ language extensions to
    simplify and speedup most definitions.
category: Control
abi: 1b3d0fa0ba51aac8a22d66bf23dabaa7
exposed: True
exposed-modules:
    Control.Monad.Trans.Control
import-dirs: /usr/local/lib/ghc/monad-control-1.0.0.4
library-dirs: /usr/local/lib/ghc/monad-control-1.0.0.4
dynamic-library-dirs: /usr/local/lib/ghc/monad-control-1.0.0.4
data-dir: /usr/local/share/hs-monad-control-1.0.0.4
hs-libraries: HSmonad-control-1.0.0.4-AcK9ASuxkE084ciqHOIhwh
depends:
    base-4.12.0.0 stm-2.5.0.0 transformers-0.5.6.2
    transformers-base-0.4.4-1mj2e5MR6zr3cRGVEYdRZ3
    transformers-compat-0.5.1.4-Ds7JyVWMMQDAstUV5nEQhw
haddock-interfaces: /usr/local/share/doc/hs-monad-control-1.0.0.4/html/monad-control.haddock
haddock-html: /usr/local/share/doc/hs-monad-control-1.0.0.4/html
